Summary: The shared library for the S-Lang extension language.
Name: slang
Version: 1.4.9
Release: 8tr
License: GPL
Group: Trustix Official
Source: ftp://space.mit.edu/pub/davis/slang/v1.4/slang-%{version}.tar.bz2
Source2: README.UTF-8
Patch0: slang-debian-utf8.patch
Patch1: slang-utf8-acs.patch
Patch2: slang-1.4.5-utf8-segv.patch
Patch3: slang-utf8-fix.patch
Patch4: slang-1.4.9-gcc4.patch
Url: ftp://space.mit.edu/pub/davis/slang/
Buildroot: /var/tmp/slang-%{version}-root

%description
S-Lang is an interpreted language and a programming library.  The
S-Lang language was designed so that it can be easily embedded into
a program to provide the program with a powerful extension language.
The S-Lang library, provided in this package, provides the S-Lang
extension language.  S-Lang's syntax resembles C, which makes it easy
to recode S-Lang procedures in C if you need to.

%package devel
Summary: The static library and header files for development using S-Lang.
Group: Trustix Official
Requires: slang

%description devel
This package contains the S-Lang extension language static libraries
and header files which you'll need if you want to develop S-Lang based
applications.  Documentation which may help you write S-Lang based
applications is also included.

Install the slang-devel package if you want to develop applications
based on the S-Lang extension language.

%prep
%setup -q
%patch0 -p1 -b .utf8
%patch1 -p1 -b .acs
%patch2 -p1 -b .segv
%patch3 -p1 -b .utf8-fix
%patch4 -p1 -b .gcc4

cp %SOURCE2 $RPM_BUILD_DIR/%{name}-%{version}/

%build
#%configure --prefix=%{_prefix} --includedir=/usr/include/slang
CFLAGS=$RPM_OPT_FLAGS ./configure --prefix=/usr --includedir=/usr/include/slang
make elf all

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/include/slang

make prefix=$RPM_BUILD_ROOT/usr install_include_dir=$RPM_BUILD_ROOT/usr/include/slang install-elf install
ln -sf libslang-utf8.so.%{version} $RPM_BUILD_ROOT%{_libdir}/libslang.so.%{version}
ln -sf libslang-utf8.so.1 $RPM_BUILD_ROOT%{_libdir}/libslang.so.1
ln -sf libslang-utf8.so $RPM_BUILD_ROOT%{_libdir}/libslang.so
ln -sf libslang-utf8.a $RPM_BUILD_ROOT%{_libdir}/libslang.a

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,0755)
/usr/lib/libslang*.so.*

%files devel
%defattr(-,root,root,0755)
%doc doc README.UTF-8 
/usr/lib/libslang*.so
/usr/lib/libslang*.a
/usr/include/slang

%exclude /usr/doc/slang/

%changelog
* Mon Feb 26 2007 Nived Gopalan <nived at trustix dot org>
- Rebuilt

* Wed Aug 17 2005 Ajith Thampi <ajith at comodo dot com> 1.4.9-7tr
- imported changes by Olaf Rempel
- added UTF-8 support, Bug #974
- Added backward compatible links

* Fri Mar 18 2005 Nived Gopalan <nived at comodo dot com> 1.4.9-5tr
- Rebuilt 

* Mon Dec  8 2003 Erlend Midttun <erlendbm at trustix dot org> 1.4.9-1tr
- New upstream.

* Mon Jun 23 2003 Erlend Midttun <erlendbm at trustix dot com> 1.4.5-4tr
- Added %defattr.

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 1.4.5-3tr
- Big rebuild

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 1.4.5-2em
- Rebuilt against glibc 2.3.2.

* Tue Jul 09 2002 Nico Erfurth <masta at trustix dot org> 1.4.5-1ne
- upgraded to 1.4.5
- cleaned up the specfile

* Tue Mar  6 2001 Alexander Reelsen <ar at trustix dot com>
- Picked up 1.4.4

* Tue Jan 25 2000 Tore Olsen <toreo at trustix dot com>
- upgraded to 1.4.0
- removed locale files

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Wed Oct 21 1998 Bill Nottingham <notting@redhat.com>
- libslang.so goes in -devel

* Sun Jun 07 1998 Prospector System <bugs@redhat.com>

- translations modified for de

* Sat Jun  6 1998 Jeff Johnson <jbj@redhat.com>
- updated to 1.2.2 with buildroot.

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat Apr 18 1998 Erik Troan <ewt@redhat.com>
- rebuilt to find terminfo in /usr/share

* Tue Oct 14 1997 Donnie Barnes <djb@redhat.com>
- spec file cleanups

* Mon Sep 1 1997 Donnie Barnes <djb@redhat.com>
- upgraded to 0.99.38 (will it EVER go 1.0???)
- all patches removed (all appear to be in this version)

* Thu Jun 19 1997 Erik Troan <ewt@redhat.com>
- built against glibc

